<?php

if ( !defined('ABSPATH') ) exit;

function quickcab_get_quickcab_form_shortcode($attributes) {
  if ( !isset($attributes['id']) || empty($attributes['id']) ) {
    return __('Error: you need to specify a form ID. Forms can be created in the QuickCab admin pages.', 'quickcab');
  }

  if ( !QuickCab_Booking_Form::is_valid($attributes['id']) ) {
    return __("Error: a form with that ID doesn't exist", 'quickcab');
  }

  return quickcab_render_quickcab_form_shortcode($attributes);
}
add_shortcode('quickcab_form', 'quickcab_get_quickcab_form_shortcode');
